import _ from 'lodash/fp';
import { Schema, SchemaType } from './types';
export declare const getAllSchemaKeys: _.LodashKeys;
export declare const getSchemaField: _.LodashGet;
export declare const getSchemaFields: _.LodashPick;
export declare const getSchemaType: _.LodashGet11x1;
export declare const getSchemaTitle: _.LodashGet11x1;
export declare const getSchemaProperty: (key: string) => _.LodashGet11x1;
export declare const getSchemaProperties: _.LodashGet11x1;
export declare const getSchemaItems: _.LodashGet11x1;
export declare const getSchemaRequired: _.LodashGet11x1;
export declare const getSchemaRequiredProperties: (schema: Schema) => Pick<any, any>;
export declare const setSchemaField: _.LodashSet;
export declare const setSchemaType: _.LodashSet1x1;
export declare const setSchemaTitle: _.LodashSet1x1;
export declare const setSchemaProperties: _.LodashSet1x1;
export declare const setSchemaProperty: (key: string) => _.LodashSet1x1;
export declare const setSchemaItems: _.LodashSet1x1;
export declare const deleteSchemaField: _.LodashUnset;
export declare const deleteSchemaProperty: (key: string) => _.LodashUnset1x1;
export declare const addSchemaProperty: (schema: Schema) => Record<string, unknown>;
export declare const renameSchemaField: (oldKey: string, newKey: string) => (...args: any[]) => any;
export declare const renameSchemaProperty: (oldKey: string, newKey: string, schema: Schema) => any;
export declare const isSchemaObject: (schema: Schema) => boolean;
export declare const isSchemaArray: (schema: Schema) => boolean;
export declare const isFieldRequired: (key: string) => (...args: any[]) => any;
export declare const hasSchemaProperties: (schema: Schema) => boolean;
export declare const hasSchemaItems: (schema: Schema) => boolean;
export declare const getSchemaMenuOptions: (type: SchemaType) => import("./types").SchemaMenuOption[];
export declare const findOption: (value: string) => _.LodashFind2x1<[string, string]>;
export declare const optionsToStrings: _.LodashMap5x1;
export declare const stringsToOptions: _.LodashMap1x1<unknown, {
    label: unknown;
    value: unknown;
}>;
export declare const schemaFieldAsOption: (key: string, schema: Schema) => {
    value: string;
    label: any;
};
export declare const fieldsToOptions: (...args: any[]) => any;
export declare const schemaPropertiesAsOptions: (...args: any[]) => any;
export declare const schemaRequiredPropertiesAsOptions: (schema: Record<string, unknown>) => any;
export declare const getValidFields: (type: SchemaType) => string[];
export declare const removeWrongFields: (schema: Schema) => Pick<Record<string, unknown>, string>;
export declare const setSchemaTypeAndRemoveWrongFields: (...args: any[]) => any;
export declare const translateLabels: (t: (text: string) => string, list: any[]) => any[];
